ranges::actions::reverse_fn Struct Reference

Reversed the source range in-place. More...

`#include <range/v3/action/reverse.hpp>`

Inheritance diagram for ranges::actions::reverse_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | R (requires bidirectional_range< Rng > &&permutable< iterator_t< Rng >>) RRRng operator()(Rng &&rng) const

## Related Functions

(Note that these are not member functions.)
constexpr action_closure< reverse_fn > | reverse {}

## Detailed Description

Reversed the source range in-place.

## Friends And Related Function Documentation

## reverse

constexpr action_closure<reverse_fn> reverse {}

related

See also
  action_closure